plugins {
    id 'java'
    id 'org.jetbrains.kotlin.jvm' version '1.3.72'
}

group 'marivisu'
version '1.0-SNAPSHOT'

repositories {
    mavenCentral()
    maven {
        url "https://jitpack.io"
    }
}

dependencies {
    implementation "org.jetbrains.kotlin:kotlin-stdlib-jdk8"
    implementation 'org.jfxtras:jmetro:8.6.9'
    implementation 'org.slf4j:slf4j-api:1.7.30'
    implementation "org.jetbrains.kotlinx:kotlinx-coroutines-core:1.3.9"
    testCompile group: 'junit', name: 'junit', version: '4.12'
    testCompile group: 'ch.qos.logback', name: 'logback-classic', version: '1.2.3'
    compile group: 'ch.qos.logback', name: 'logback-core', version: '1.2.3'
    compile 'com.github.jasrodis:javafx-dataviewer-wrapper:-SNAPSHOT'
}

task run(type: JavaExec) {
    main = 'application.App'
    classpath = sourceSets.main.runtimeClasspath
}

compileKotlin {
    kotlinOptions.jvmTarget = "1.8"
}

compileTestKotlin {
    kotlinOptions.jvmTarget = "1.8"
}